summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Michales Michaloudes2011-12-12 01:04:58 +0100
committer Niels Horn2011-12-18 03:07:45 +0100
commit3489d0797bf39d697f08f5871abeb44c73e43ba5 (patch)
tree3167d90f0518792ff5842b2e1c25c90501c2edb7 /audio
parent44ecb8e089e631370901ab0fdf7ecc56539e7e0d (diff)
downloadslackbuilds-3489d0797bf39d697f08f5871abeb44c73e43ba5.tar.gz
audio/pd_mrpeach: Added (OSC externals for pd)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/pd_mrpeach/README14
-rw-r--r--audio/pd_mrpeach/pd_mrpeach.SlackBuild82
-rw-r--r--audio/pd_mrpeach/pd_mrpeach.info10
-rw-r--r--audio/pd_mrpeach/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/audio/pd_mrpeach/README b/audio/pd_mrpeach/README
new file mode 100644
index 0000000000..abdbbe512c
--- /dev/null
+++ b/audio/pd_mrpeach/README
@@ -0,0 +1,14 @@
+Pure Data externals to work with OSC by mrpeach.
+
+udpsend, udpreceive, tcpsend and tcpreceive are byte-oriented externals similar
+to and based on netsend and netreceive.
+
+Start the slackbuild with ALL=YES to build all the objects. In that case, you
+have more externals, not specific to Open Sound Control.
+
+After installation go to Pure Data > Media > Preferences > Path > New and
+select /usr/lib(64)/pd/extra/mrpeach
+
+Or start Pure Data like this: pd -path /usr/lib(64)/pd/extra/mrpeach
+
+This requires pd (vanilla) and jack-audio-connection-kit.
diff --git a/audio/pd_mrpeach/pd_mrpeach.SlackBuild b/audio/pd_mrpeach/pd_mrpeach.SlackBuild
new file mode 100644
index 0000000000..acb039e9b2
--- /dev/null
+++ b/audio/pd_mrpeach/pd_mrpeach.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+# Slackware build script for <pd-mrpeach>
+#
+# Copyright 2011 Michales - clavisound - Michaloudes korgie@gmail.com
+
+PRGNAM=pd_mrpeach
+VERSION=${VERSION:-2011.10.21}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+mv mrpeach $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+ALL=${ALL:-NO}
+
+OBJECTS="osc/*.c net/*.c"
+[ $ALL = "NO" ] || OBJECTS="*/*.c"
+
+# procedure from http://mag-one.noblogs.org/xmix/startup-guide/osc-objects-guide/
+for object in $OBJECTS ; do
+ gcc \
+ $SLKCFLAGS \
+ -I/usr/include \
+ -shared \
+ -o $(echo $object | sed 's/.c$/.pd_linux/') $object
+done
+
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/pd/extra/mrpeach/
+cp -p */*.pd_linux */*.pd $PKG/usr/lib$LIBDIRSUFFIX/pd/extra/mrpeach/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a net/LICENSE.txt net/README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/pd_mrpeach/pd_mrpeach.info b/audio/pd_mrpeach/pd_mrpeach.info
new file mode 100644
index 0000000000..fe22d73ca6
--- /dev/null
+++ b/audio/pd_mrpeach/pd_mrpeach.info
@@ -0,0 +1,10 @@
+PRGNAM="pd_mrpeach"
+VERSION="2011.10.21"
+HOMEPAGE="http://puredata.info/Members/martinrp"
+DOWNLOAD="http://users.otenet.gr/~korgman/pd_mrpeach-2011.10.21.tar.gz"
+MD5SUM="52643c6297f34a7e283832456b7a657b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="rworkman"
diff --git a/audio/pd_mrpeach/slack-desc b/audio/pd_mrpeach/slack-desc
new file mode 100644
index 0000000000..f9716afa1e
--- /dev/null
+++ b/audio/pd_mrpeach/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pd_mrpeach: pd_mrpeach (OSC externals for pd)
+pd_mrpeach:
+pd_mrpeach: Externals for pd. OSC (Open Sound Control) from mrpeach
+pd_mrpeach:
+pd_mrpeach:
+pd_mrpeach:
+pd_mrpeach:
+pd_mrpeach:
+pd_mrpeach:
+pd_mrpeach:
+pd_mrpeach: